Next: _gfortran_caf_sync_memory, Previous: _gfortran_caf_sync_all, Up: Function ABI Documentation [Contents][Index]

#### 8.2.23 `_gfortran_caf_sync_images` — Barrier for selected images

Description:

  Synchronization between the specified images; the program only continues on a given image after this function has been called on all images specified for that image. Note that one image can wait for all other images in the current team (e.g. via `sync images(*)`) while those only wait for that specific image. Additionally, `sync images` ensures that all pending data transfers of previous segments have completed.

Syntax:

  `void _gfortran_caf_sync_images (int count, int images[], int *stat, char *errmsg, size_t errmsg_len)`

Arguments:

  count | intent(in) The number of images which are provided in the next argument. For a zero-sized array, the value is zero. For `sync images (*)`, the value is -1.
  images | intent(in) An array with the images provided by the user. If count is zero, a NULL pointer is passed.
  stat | intent(out) Stores the status STAT= and may be NULL.
  errmsg | intent(out) When an error occurs, this will be set to an error message; may be NULL.
  errmsg_len | intent(in) the buffer size of errmsg